#
# spec file for package orarun (Version 1.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           orarun
License:        GPL
Group:          Productivity/Databases/Tools
Autoreqprov:    on
Version:        1.9
Release:        21.2
URL:            http://www.novell.com/oracle/
Summary:        An Environment for Running Oracle Products
Source:         orarun.tar.bz2
Source1:        libInternalSymbols.tar.bz2
Requires:       make gcc binutils xorg-x11-libs glibc-locale glibc-devel libaio libaio-devel
PreReq:         /usr/sbin/groupadd /usr/sbin/useradd %insserv_prereq  %fillup_prereq /bin/mkdir /bin/cat
Obsoletes:      orarun8i orarun9i
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package creates the user and the groups for Oracle, sets the
Oracle environment variables, sets kernel parameters to values
recommended by Oracle, and provides for automated start and stop of
Oracle components at system start and stop time. It also includes
dependencies for other software packages needed to install and use
Oracle, so that when you select this package the other packages are
included automatically (when you install via YaST2) or that you are at
least reminded to install them (when installing via the rpm command).
This package is not required for running Oracle but it simplifies
things significantly.

You can edit all settings via YaST2.

http://www.novell.com/oracle/



Authors:
--------
    aksingh
    peters

%debug_package
%prep
%setup -b 1

%build
%ifarch %ix86
cd ../libInternalSymbols
make
%endif

%install
install -d -m 755 ${RPM_BUILD_ROOT}{/usr/share/doc/packages,/etc/init.d,/etc/profile.d,/usr/sbin,/var/adm/fillup-templates,/sbin,/usr/bin,/usr/lib}
install -m 744 oracle ${RPM_BUILD_ROOT}/etc/init.d/oracle
install -m 644 oracle.sh ${RPM_BUILD_ROOT}/etc/profile.d/oracle.sh
install -m 644 oracle.csh ${RPM_BUILD_ROOT}/etc/profile.d/oracle.csh
ln -sf ../../etc/init.d/oracle ${RPM_BUILD_ROOT}/usr/sbin/rcoracle
install -m 644 sysconfig.oracle ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.oracle
ln -sf ../../bin/sh ${RPM_BUILD_ROOT}/usr/bin/sh
ln -sf ../bin/fuser ${RPM_BUILD_ROOT}/sbin/fuser
ln -sf ../../bin/fuser ${RPM_BUILD_ROOT}/usr/bin/fuser
%ifarch %ix86
cd ../libInternalSymbols
cp -a libInternalSymbols.a libInternalSymbols.so libInternalSymbols.so.1 ${RPM_BUILD_ROOT}/usr/lib
%endif

%pre
if [ ! -d /etc/sysconfig/ ] ; then
	echo "No directory /etc/sysconfig/ - this package is for SuSE Linux 8.0 and higher"
	echo "and for United Linux 1.0 and higher ONLY."
	exit 1
fi
grep -qs ^oinstall: /etc/group || /usr/sbin/groupadd -r oinstall
grep -qs ^dba: /etc/group      || /usr/sbin/groupadd -r dba
grep -qs ^oracle: /etc/passwd  || /usr/sbin/useradd -r -c "Oracle user" -g oinstall -G dba,disk -d /opt/oracle oracle
test -d /opt/oracle            || install -m 755 -o oracle -g oinstall -d /opt/oracle
test -d /var/opt/oracle        || install -m 750 -o oracle -g oinstall -d /var/opt/oracle
exit 0

%post
/sbin/insserv raw >& /dev/null
#/sbin/chkconfig boot.sysctl on >& /dev/null
#
grep -qs oracle /etc/security/limits.conf || \
mv /etc/security/limits.conf /etc/security/limits.conf.save && \
sed -e "s/# End of file/## added by orarun ##\noracle\tsoft\tnproc\t2047\noracle\thard\tnproc\t16384\noracle\tsoft\tnofile\t1024\noracle\thard\tnofile\t65536\n# End of file/" /etc/security/limits.conf.save > /etc/security/limits.conf
#
grep -qs "^session.*required.*pam_limits.so" /etc/pam.d/login || (cp /etc/pam.d/login /etc/pam.d/login.save && echo "session     required       pam_limits.so   # added by orarun" >> /etc/pam.d/login)
#
%{fillup_and_insserv -n oracle -i}
%{insserv_force_if_yast oracle}
test -f /etc/sysconfig/oracle || cp /var/adm/fillup-templates/sysconfig.oracle /etc/sysconfig/oracle
exit 0

%postun
%{insserv_cleanup}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README
%attr(0644,root,root) %config(noreplace) /etc/profile.d/oracle.sh
%attr(0644,root,root) %config(noreplace) /etc/profile.d/oracle.csh
%attr(0744,root,root) %config /etc/init.d/oracle
/usr/sbin/rcoracle
/usr/bin/sh
/sbin/fuser
/usr/bin/fuser
/var/adm/fillup-templates/sysconfig.oracle
%ifarch %ix86
/usr/lib/libInternalSymbols.*
%endif

%changelog -n orarun
* Thu Feb 23 2006 - aksingh@novell.com
- Added gcc to spec file and fixed AGENT startup issue.
* Sat Feb 18 2006 - aksingh@novell.com
- Cosmetic status reporting changes to /etc/init.d/oracle
* Fri Feb 17 2006 - aksingh@novell.com
- Fixed stop section and added comment to NR_HUGE_PAGES
* Fri Feb 10 2006 - aksingh@novell.com
- Removed old raw device entries from spec, cleaned oracle.[c]sh
- Fixed ORACLE_DB_APACHE_USE_SSL entry in init.d/oracle
* Wed Feb 08 2006 - aksingh@novell.com
- Added iSQLPLUS support
* Tue Feb 07 2006 - aksingh@novell.com
- ADDED AGENT_HOME, START_ORACLE_AS_CONSOLE, START_ORACLE_AS_ALL,
  NR_HUGE_PAGES, and SHM_GROUP. Removed unsed SHM_USE_BIGPAGES.
- Fixed many rcoracle start/stop/status warnings
- Updated spec file for limits.conf/login and /etc/oratab sym link
* Sat Jan 28 2006 - aksingh@novell.com
- Removed LD_ASSUME_KERNEL from oracle.[c]sh
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec 17 2005 - aksingh@novell.com
- Adjusted spec file (remove pdksh)
* Sun Dec 11 2005 - aksingh@novell.com
- Cleanup of oracle.[c]sh - Set new ORACLE_SID and ORACLE_HOME
  Removed leftover STAR_ORACLE_DB_CMANAGER from previous change.
* Mon Dec 05 2005 - aksingh@novell.com
- Bug 137010 - Added START_ORACLE_DB_EMANAGER (10g feature)
* Mon Dec 05 2005 - aksingh@novell.com
- Bumped version to 1.9 for SLES10
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Sat Jun 04 2005 - aksingh@novell.com
-  Bug 84038: Cleanup and added same to oracle.csh
* Mon May 23 2005 - aksingh@oracle.com
- Bug 84038 : Added check for EM64T/AMD64 in oracle.sh
* Sat Apr 02 2005 - aksingh@novell.com
- Bug #75689 - Added ORA_NLS10 support in oracle.[c]sh
- Removed LD_ASSUME_KERNEL=2.2.5 from oracle
- Updated README
* Thu Feb 03 2005 - aksingh@novell.com
- Changed LD_ASSUME_KERNEL to 2.4.21 in oracle.[c]sh.
* Tue Feb 01 2005 - aksingh@novell.com
-  Removed "usermod -G disk oracle" from post install. [Bug #50232]
* Sat Jan 22 2005 - aksingh@novell.com
- Bug #45718
- Added export LD_PRELOAD=/usr/lib/libInternalSymbols.so to oracle.sh
- Added setenv LD_PRELOAD /usr/lib/libInternalSymbols.so to oracle.csh
* Wed Oct 13 2004 - ro@suse.de
- updated requires
* Fri Jun 25 2004 - kukuk@suse.de
- Add libInternalSymbols [Bug #39691]
* Mon May 17 2004 - kukuk@suse.de
- Adjust requires for SLES9
* Mon Nov 24 2003 - kukuk@suse.de
- Fix useradd/groupadd call (and don't use undocumented options)
* Sat Jul 05 2003 - mha@suse.de
- Bugfix: ">&" not possible within ".." in the /etc/init.d/oracle
  script - fixed.
- Removed the two libXm.* links - instead we now provide the old
  openmotif 2.1.30 package for UL at
  ftp://ftp.suse.com/pub/suse/i386/supplementary/commercial/Oracle/sles-8/
  since Oracle iAS (component Forms&Reports) really needs that
  particular version.
- We now start the listener BEFORE the database.
- Changed /etc/profile.d/oracle.[c]sh to be parsed if the user is
  "oracle" ONLY.
- Added code to /etc/profile.d/oracle.csh to be able to source
  /etc/sysconfig/oracle, which is bourne shell syntax. Not used
  yet in this orarun release.
- Added configurable network kernel parameters wmem_default/max
  and rmem_default/max, and preconfigured it for Oracle RAC
  according to Oracle recommendations, for best performance.
- Changed /etc/sysconfig/oracle to be easier to use with the YaST2
  sysconfig editor module by adding meta information used by that
  module. Editing the Oracle related values with that module is
  now *much* easier and all values are under one common path.
- Added to pre-install script a command to add user "oracle" to
  group "disk". That's because this script also re-creates directory
  /dev/raw/ with *all* possible raw devices, and it gives them to
  root:disk, with read/write rights for both user root and group
  disk. This way user oracle has write access to the raw devices
  but is not the owner.
* Thu Apr 03 2003 - kukuk@suse.de
- Set LD_ASSUME_KERNEL=2.2.5 if /lib/i686 exists
  This is needed for Oracle to pick the correct glibc version
  when starting - the one in /lib/i686 has been compiled WITHOUT
  floating stack support - Oracle supports many simultaneous
  users less if it starts using the default glibc WITH floating
  stack support (other than that, no issues, only scalability).
  The dual-glibc strategy is introduced in United Linux (SLES-8)
  Service Pack 2.
* Wed Feb 26 2003 - mha@suse.de
- Removed from postinstall script code that added limits for
  user oracle to /etc/security/limits.conf since it interferred
  with the ability to login remotely, e.g. via ssh
* Thu Feb 20 2003 - mha@suse.de
- Added creation of file /etc/rac_on when oracm is started, an
  Oracle hack used by $ORACLE_HOME/bin/dbca
- added "restart" to /etc/rc.d/oracle
- added a status to "status"
* Sat Feb 15 2003 - mha@suse.de
- Fixed error in orarun 1.7: This version did not create
  /etc/sysconfig/oracle
- Added "raw" to start prerequisites of the oracle SysV startup
  script, so that the raw device mappings exist *before*
  any Oracle services start which may use raw devices!
* Wed Feb 12 2003 - mha@suse.de
- Fixed lots of errors in the startup and shutdown sections
- Added a very basic status section
* Fri Jan 31 2003 - mha@suse.de
- Updated sysV startup script to support RAC (ocfs and oracm)
- Include some symlinks because e.g. Oracle Collab. Suite
  expects some things in the wrong (non-Linux) places
* Thu Dec 19 2002 - mha@suse.de
- Provide a much updated oracle sysV startup script
- Changed the specfile to use suse macro for the fillup and insserv
* Wed Dec 18 2002 - mha@suse.de
- Checked package into autobuild
